from allResiduesWithinRadius import allResiduesWithinRadius

def writePLOPLists(PDBFilePath,writePath,targetResidueList,radius):
#Prepares PLOP list files containing the sequence position numbers of residues
#that should be relaxed by PLOP.
#PDBFilePath is a string containing the path to the PDB file.
#targetResidueList is a list of 7-character strings, containing the 3-letter
#amino acid abbreviation, plus the 4-digit residue sequence position number.
#For example, ['LYS   2','THR  39','VAL 232','PHE1252']
#writePath is the path to write the output files; is of the form
#'/.../dir/'. Must have a slash at the end.
#radius is a float; it is the spherical distance out from each target residue's
#coordinate center-of-mass to mark for relaxation. If a single atom from a
#neighboring residue intrudes into the sphere, the residue is marked for
#relaxation.
#Outputs to the 
	if writePath[-1] != '/':
		raise ValueError('writePath must end with a /.')
	for i in range(len(targetResidueList)):
		residuePositions = \
			allResiduesWithinRadius(PDBFilePath,targetResidueList[i],radius)
		textForPLOPList = ['A:']*len(residuePositions)
		for j in range(len(residuePositions)):
			textForPLOPList[j] += residuePositions[j].strip() + '\n'
		PLOPFileObject = open(writePath + 'plopall_' + str(i) + '.list','w')
		PLOPFileObject.writelines(textForPLOPList)
		PLOPFileObject.close()		
